# Searches for resumes using predefined parameters Searches for resumes using predefined parameters Endpoint: POST /resumes/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `city` (string) The member city - `contact_id` (array) IDs to search - `country` (string) The member country - `email_address` (string) The member's email address - `first_name` (string) The member's first name - `ids` (array) IDs to search - `job_title` (string) The member job title - `last_name` (string) The member's last name - `name` (string) - `state` (string) The state ## Response 200 fields (application/json): - `Items` (array) - `Items.id` (string) The unique, string identifier of this speaker profile - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields